;*============================================================================*
;                Inertia/32 for Windows Realtime 3D Rendering Engine
;           Copyright (c) 1996,97,98, Alex Chalfin. All Rights Reserved.
;              DISTRIBUTION OF THIS SOURCE CODE IS STRICTLY PROHIBITED
;*============================================================================*

;===================
; VARSASM.INC
; code: Alex Chalfin
;===================

PERSPSPAN   EQU   16            ;
                                ;
extrn _IntensityTable    : DWord;
extrn _TransparencyTable : DWord;
                                ;
extrn _VertPtrA      : DWord    ;
extrn _VertPtrB      : DWord    ;
extrn _VertPtrC      : DWord    ;
                                ;
extrn _TVA           : DWord    ;
extrn _TVB           : DWord    ;
extrn _TVC           : DWord    ;
                                ;
extrn _TotalHeight  : DWord     ;
extrn _TopHeight    : DWord     ;
extrn _BottomHeight : DWord     ;
                                ;
extrn _CeilY1       : DWord     ;
extrn _CeilY2       : DWord     ;
extrn _CeilY3       : DWord     ;
                                ;
extrn _FXDLongX     : DWord     ;
extrn _FXDLongDX    : DWord     ;
extrn _FXDShortX    : DWord     ;
extrn _FXDShortDX   : DWord     ;
                                ;
extrn _FXDSide1C    : DWord     ;
extrn _FXDSide1DC   : DWord     ;
extrn _FXDSide2C    : DWord     ;
extrn _FXDSide2DC   : DWord     ;
                                ;
extrn _FXDSide1U    : DWord     ;
extrn _FXDSide1DU   : DWord     ;
extrn _FXDSide2U    : DWord     ;
extrn _FXDSide2DU   : DWord     ;
                                ;
extrn _FXDSide1V    : DWord     ;
extrn _FXDSide1DV   : DWord     ;
extrn _FXDSide2V    : DWord     ;
extrn _FXDSide2DV   : DWord     ;
                                ;
extrn _FXDSide1Z    : DWord     ;
extrn _FXDSide1DZ   : DWord     ;
extrn _FXDSide2Z    : DWord     ;
extrn _FXDSide2DZ   : DWord     ;
                                ;
extrn _FXDSide1S    : DWord     ;
extrn _FXDSide1DS   : DWord     ;
extrn _FXDSide2S    : DWord     ;
extrn _FXDSide2DS   : DWord     ;
                                ;
extrn _FXDSide1T    : DWord     ;
extrn _FXDSide1DT   : DWord     ;
extrn _FXDSide2T    : DWord     ;
extrn _FXDSide2DT   : DWord     ;
                                ;
extrn _FLTInten1    : DWord     ;
extrn _FLTInten2    : DWord     ;
extrn _FLTInten3    : DWord     ;
                                ;
extrn _FLTZ1        : DWord     ;
extrn _FLTZ2        : DWord     ;
extrn _FLTZ3        : DWord     ;
                                ;
extrn _FLTTextureX1 : DWord     ;
extrn _FLTTextureX2 : DWord     ;
extrn _FLTTextureX3 : DWord     ;
                                ;
extrn _FLTTextureY1 : DWord     ;
extrn _FLTTextureY2 : DWord     ;
extrn _FLTTextureY3 : DWord     ;
                                ;
extrn _FLTEnvX1     : DWord     ;
extrn _FLTEnvX2     : DWord     ;
extrn _FLTEnvX3     : DWord     ;
                                ;
extrn _FLTEnvY1     : DWord     ;
extrn _FLTEnvY2     : DWord     ;
extrn _FLTEnvY3     : DWord     ;
                                ;
extrn _FLTLongDX    : DWord     ;
extrn _FLTShortDX   : DWord     ;
                                ;
extrn _OneOverTotalDY : DWord   ;
extrn _OneOverTopDY  : DWord    ;
extrn _OneOverBotDY  : DWord    ;
                                ;
extrn _PolyDX        : DWord    ;
                                ;
extrn __tmp_flt      : DWord    ;
extrn __tmp_half     : DWord    ;
extrn __tmp_fixone   : DWord    ;
extrn __tmp_flt_63   : DWord    ;
extrn __tmp_flt_255  : DWord    ;
extrn __tmp_fxd2flt  : DWord    ;
extrn _FUDGE_FACTOR  : DWord    ;
                                ;
extrn _HorizontalDC  : DWord    ;
extrn _HorizontalDU  : DWord    ;
extrn _HorizontalDV  : DWord    ;
extrn _HorizontalDZ  : DWord    ;
extrn _HorizontalDS  : DWord    ;
extrn _HorizontalDT  : DWord    ;
                                ;
extrn _YAddress        : DWord  ;
extrn _Color           : DWord  ;
                                ;
extrn _UStart          : DWord  ;
extrn _VStart          : DWord  ;
extrn _SStart          : DWord  ;
extrn _TStart          : DWord  ;
extrn _SStart8         : DWord  ;
extrn _TStart8         : DWord  ;
extrn _CStart		   : DWord  ;
extrn _TextureOfsTable : DWord  ;
extrn _IBufferTable    : DWord  ;
extrn _Count           : DWord  ;
extrn _HDU8            : DWord  ;
extrn _HDV8            : DWord  ;
extrn _HDS8            : DWord  ;
extrn _HDT8            : DWord  ;

extrn _LAffU           : DWord  ;
extrn _LAffV           : DWord  ;
extrn _RAffU           : DWord  ;
extrn _RAffV           : DWord  ;
extrn _AffDU           : DWord  ;
extrn _AffDV           : DWord  ;
extrn _DrawWidth       : DWord  ;
extrn _hpu             : DWord  ;
extrn _hpv             : DWord  ;
extrn _hpz             : DWord  ;
extrn _SpanCount       : DWord  ;
extrn _DivTable        : DWord  ;
